GET /warehouses Deprecated

List all warehouses

This endpoint allows you to get all Warehouses. By default, all warehouses have a "child", called section, where the material stock quantities are associated.

Operation ID: getWarehousesLegacy
lock This endpoint requires a Bearer token in the Authorization header.

Responses

data array<object>
id string read-only

The unique identifier of the warehouse within the system. This ID is immutable and assigned upon creation.

Example: 1

type string read-only

The resource type, identifying this as a warehouse.

warehouse
attributes object
warehouse_id integer

The unique identifier of the warehouse within the system. This ID is immutable and assigned upon creation.

Example: 1

entity_id integer read-only

The identifier of the account (entity, organization, or client) that owns or manages this warehouse.

Example: 1

name string

The descriptive name of the warehouse, intended for readability and identification within the application's user interface.

Example: Warehouse

code string

A unique code assigned to the warehouse, intended for readability and identification within the application's user interface.

Example: WZ1

full_code string

A hierarchical code representing the complete lineage of the warehouse within the storage structure. It's formed by concatenating the codes of all its parent warehouses or sections, separated by a dot, followed by the warehouse's own code.

Example: WZ0.WZ1

parent_id integer | null

The identifier of the immediate parent warehouse or section in the storage hierarchy. If this is a top-level warehouse, this field will be null.

Example: 2

is_real boolean

A boolean flag indicating the nature of this storage item. `true` signifies a physical, tangible warehouse location, while `false` represents a logical grouping or section within a larger warehouse.

observation string | null

Free-text field for any additional notes, specific instructions, or relevant details pertaining to this warehouse.

Example: Operational hours from 9am to 7pm, entrance by the large door on the side.

address string | null

The physical street address of the warehouse. This provides the geographical location of the storage facility.

Example: Warehouse street, 10, Country

included array<union>

List of relationships to be included

id string read-only

The unique identifier of the warehouse within the system. This ID is immutable and assigned upon creation.

Example: 1

type string read-only

The resource type, identifying this as a warehouse.

warehouse
attributes object
warehouse_id integer

The unique identifier of the warehouse within the system. This ID is immutable and assigned upon creation.

Example: 1

entity_id integer read-only

The identifier of the account (entity, organization, or client) that owns or manages this warehouse.

Example: 1

name string

The descriptive name of the warehouse, intended for readability and identification within the application's user interface.

Example: Warehouse

code string

A unique code assigned to the warehouse, intended for readability and identification within the application's user interface.

Example: WZ1

full_code string

A hierarchical code representing the complete lineage of the warehouse within the storage structure. It's formed by concatenating the codes of all its parent warehouses or sections, separated by a dot, followed by the warehouse's own code.

Example: WZ0.WZ1

parent_id integer | null

The identifier of the immediate parent warehouse or section in the storage hierarchy. If this is a top-level warehouse, this field will be null.

Example: 2

is_real boolean

A boolean flag indicating the nature of this storage item. `true` signifies a physical, tangible warehouse location, while `false` represents a logical grouping or section within a larger warehouse.

observation string | null

Free-text field for any additional notes, specific instructions, or relevant details pertaining to this warehouse.

Example: Operational hours from 9am to 7pm, entrance by the large door on the side.

address string | null

The physical street address of the warehouse. This provides the geographical location of the storage facility.

Example: Warehouse street, 10, Country

id string read-only

ID of the Operator

type string read-only

Model type

operator
attributes object
operator_id integer read-only

ID of the Operator

operator_uuid string (uuid) read-only

Uuid of the Operator

full_name string
email string (email)
phone string | null
cellphone string | null
account string

Type of account which determines the access permission level.

admin manager technician operator reporter
language string
ar ca da_dk en es fr_fr pl_pl pt_br pt_pt ko zh_cn nl_nl de_de
cost_per_hour number

Example: 10

warehouse_id integer

ID of the warehouse associated to the Operator by default.

entity_id integer read-only
timezone string

Valid PHP timezone identifier. See the full list here: https://www.php.net/manual/en/timezones.php.

Example: Europe/Lisbon

is_from_network boolean
created_at string (date-time)
phone_country_code string

Example: US

is_first_web_login boolean | null read-only
status string
WORKING AVAILABLE OFFLINE

Example: WORKING

meta object
custom_fields object | null
id string read-only

ID of the Supplier

Example: 1

type string read-only

Model type

entity
attributes object
entity_id integer
name string
email string
site string
phone string
cellphone string
address string
nib string
nif string
report_email string
language string
currency string
license string
ASSISTANCE CHURNED COMPLEX CSENTITY DISTRIBUTED HOTEL NONE PARTNER PLACECHECKUP
profile_picture string
entity_uuid string
vat_rate number
colour string
meta object

Meta model structure details

pagination object
total integer required

Total items.

Example: 1

count integer required

Total items returned for the current page.

Example: 1

per_page integer required

Maximum number of records per page.

Example: 1

current_page integer required

Number of the current page.

total_pages integer required

Number of the total pages.

links object

Requests that return multiple items include a `links` attribute, with links related to request's context.

self string required read-only

Current response link.

Example: /path?page=1

first string required read-only

Link to the first page result.

Example: /path?page=1

last string required read-only

Link to the previous page result.

Example: /path?page=1

next string read-only

Link to the next page result.

Example: /path?page=1

status string
error
error object
http_code integer
401
message string

Example: Authentication token invalid.

more_info string
status string
error
error object
http_code integer
429
message string

Example: Too Many Requests.

more_info string
status string
error
error object
http_code integer
500
message string

Example: An error has occurred during the request.

more_info string